Name: maven-anno-plugin
Version: 1.4.1
Release: 7%{?dist}
Summary: Maven Annotated Mojo
Group: Development/Libraries
License: ASL 2.0
Url: http://wiki.jfrog.org/confluence/display/OSS/Maven+Anno+Mojo

# git clone git://github.com/JFrogDev/maven-anno-mojo.git
# cd maven-anno-mojo
# git archive --prefix=maven-anno-plugin-1.4.1/ maven-plugin-anno-parent-1.4.1 | xz > maven-anno-plugin-1.4.1.tar.xz
Source0: %{name}-%{version}.tar.xz

Source1: http://www.apache.org/licenses/LICENSE-2.0.txt

# Fork tests, otherwise one of the tests of the tools module fails:
Patch0: %{name}-fork-tools-tests.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-jxr
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-plugin-descriptor
BuildRequires: maven-local

Requires: java
Requires: jpackage-utils

BuildArch: noarch


%description
Maven maven-plugin-plugin extension that allows writing annotated Mojos using
JDK 1.5 annotations instead of doclet comments.


%package javadoc
Group: Documentation
Summary: Javadoc for %{name}
Requires: jpackage-utils


%description javadoc
This package contains javadoc for %{name}.


%prep
%setup -q
%patch0 -p1
cp -p %{SOURCE1} .


%build
mvn-rpmbuild \
  -Dproject.build.sourceEncoding=UTF-8 \
  install \
  javadoc:aggregate


%install

# Jar files:
install -d -m 755 %{buildroot}%{_javadir}
install -Dpm 644 maven-plugin-anno/target/maven-plugin-anno-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -Dpm 644 maven-plugin-tools-anno/target/maven-plugin-tools-anno-%{version}.jar %{buildroot}%{_javadir}/%{name}-tools.jar

# POM files:
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
install -Dpm 644 maven-plugin-anno/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
install -Dpm 644 maven-plugin-tools-anno/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-tools.pom

# Dependencies map:
%add_maven_depmap JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_maven_depmap JPP-%{name}-tools.pom %{name}-tools.jar

# Javadocs:
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}


%files
%doc LICENSE-2.0.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.rdoc


%files javadoc
%doc LICENSE-2.0.txt
%{_javadocdir}/%{name}


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.4.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Nov 26 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4.1-4
- Install license files
- Resolves: rhbz#880288

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 16 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.4.1-2
- Cleanup of the spec file

* Fri Jan 06 2012 Marek Goldmann <mgoldman@redhat.com> 1.4.1-1
- Initial packaging
